#
# spec file for package fribidi (Version 0.9.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake glib glib-devel gtk gtk-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         fribidi
%define prefix   /usr
Version:      0.9.0
Release:      95
Summary:      Free Implementation of the BiDi algorithm
Copyright:	LGPL
Group:          System Environment/Libraries
Url:		http://imagic.weizmann.ac.il/~dov/freesw/FriBidi
Autoreqprov: on
Source:  fribidi-%{version}.tar.gz
BuildRoot: %{_tmppath}/fribidi-%{version}-root

%description
FriBidi is a Free Implementation of the Unicode BiDi algorithm.
The library implements most of the algorithm as described in the
"Unicode Bidirectional Algorithm, Working Draft Unicode Technical Report
that is currently missing is the support for explicit overrides.
In the API I was was inspired by the document "Bi-Di languages support
- BiDi API proposal," http://www.langbox.com/AraMosaic/mozilla/BiDi_API.html,
by Franck Portaneri <franck@langbox.com> which he wrote as a proposal
for adding BiDi support to Mozilla.

Authors:
--------
    Dov Grobgeld <dov@imagic.weizmann.ac.il>

SuSE series: d

%package devel
Summary:      Static libraries and header files for the fribidi
Group: Development/Libraries
 

%description devel
Static libraries and header files for the fribidi

Authors:
--------
    Dov Grobgeld <dov@imagic.weizmann.ac.il>

SuSE series: d

%prep
%setup 

%build
#%{?suse_update_config:%{suse_update_config -f}}  
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ANNOUNCE AUTHORS COPYING* ChangeLog INSTALL NEWS README THANKS TODO tests run.tests
%{prefix}/bin/fribidi
%{prefix}/lib/libfribidi.so.*

%files devel
%defattr(-, root, root)
 
%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/include/fribidi
%{prefix}/bin/fribidi-config                

%changelog -n fribidi
* Wed Apr 11 2001 - nashif@suse.de
- Update to version 0.9.0
* Fri Feb 09 2001 - nashif@suse.de
- Update to version 0.1.15
* Sun Nov 05 2000 - nashif@suse.de
- Update to 0.1.14
- Changed neededforbuild
- add sub packages fribidi-devel
* Fri Sep 22 2000 - nashif@suse.de
- Updated to 0.1.12
* Tue Jun 20 2000 - schwab@suse.de
- Fix use of suse_update_config macro.
* Fri Apr 28 2000 - nashif@suse.de
- Update to version 0.1.10
* Wed Apr 12 2000 - nashif@suse.de
- Update to version 0.1.9
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Sun Feb 13 2000 - nashif@suse.de
- Initial Release ( Version: 0.1.8 )
